<?php

if (isset($_GET['elid'])) {
    $content = api_query('https://' . $server . '/manager/ispmgr?func=wwwredirect&elid=' . urlencode($_GET['elid']) . '&out=xml&auth=' . urlencode($_SESSION['auth']));
} else {
    $content = api_query('https://' . $server . '/manager/ispmgr?func=wwwredirect&out=xml&auth=' . urlencode($_SESSION['auth']));
}
$parse_xml = simplexml_load_string($content);
$realname = array(
    'permanent' => '301 - перенесен на новый адрес',
    'temp' => '302 - временно перенесен на другой адрес',
    'seeother' => '303 - нужно смотреть по адресу'
    );
echo '<div class="menu"><img src="images/t-new.png" alt="." /><a href="?func=wwwredirect.edit';
if (isset($_GET['elid'])) {
    echo '&amp;plid=' . urlencode($_GET['elid']);
}
echo '">Создать новый редирект</a>' . "\n";
echo '</div>' . "\n";
foreach($parse_xml->elem as $var) {
    echo '<div class="post"><b>Путь:</b> ' . htmlentities((string)$var->name, ENT_QUOTES, 'UTF-8') . '<br />' . "\n";
    echo '<b>Код:</b> ' . strtr((string)$var->code, $realname) . '<br />' . "\n";
    echo '<b>URL:</b> ' . htmlentities((string)$var->url, ENT_QUOTES, 'UTF-8') . '<br />' . "\n";
    echo '&#187; <a href="?func=wwwredirect.edit&amp;elid=' . urlencode((string)$var->name);
    if (isset($_GET['elid'])) {
        echo '&amp;plid=' . urlencode($_GET['elid']);
    }
    echo '">Изменить</a><br />' . "\n";
    echo '&#187; <a href="?func=wwwredirect.delete&amp;elid=' . urlencode((string)$var->name);
    if (isset($_GET['elid'])) {
        echo '&amp;plid=' . urlencode($_GET['elid']);
    }
    echo '">Удалить</a>' . "\n";
    echo '</div>' . "\n";
}
if (isset($_GET['elid'])) {
    echo '<img src="images/t-back.png" alt=".." /><a href="?func=wwwdomain">Вернуться</a><br />' . "\n";
}
echo '<div class="menu"><img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";

?>